#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static int right = 0;
static int wrong = 0;

static void check(char const *expected) {
    char buffer[128];
    int i;
    int flag = 1;

    if (fgets(buffer, sizeof buffer, stdin) == 0) abort();
    for (i = 0; buffer[i] != '\0'; i++) {
        buffer[i] = toupper(buffer[i]);
    }
    for (i = 0; expected[i] != 0; i++) {
        if (strchr(buffer, expected[i]) == 0) flag = 0;
    }
    if (flag) {
        puts("Correct.");
        right++;
    } else {
        printf("Sorry, the right answer is %s.\n", expected);
        wrong++;
    }
}

int main(void) {
    puts("In the context of COMP160,");
    puts("which of the following is an example of a run time error?");
    puts("(A) a false start at a track and field event");
    puts("(B) an overflowing bathtub");
    puts("(C) leaving the cricket crease early");
    puts("(D) an error in coding which compiles correctly but does not run");
    check("D");

    puts("Which of the following statements about local variables are true?");
    puts("(A) Local variables may have a specified visibility.");
    puts("(B) Local variables can be declared as static.");
    puts("(C) Local variables are defined within methods.");
    puts("(D) Local variables are automatically initialised.");
    puts("(E) None of them.");
    check("CD");

    printf("You got %d questions right out of %d.\n",
        right, right+wrong);
    if (wrong == 0) puts("Congratulations!");
    return wrong == 0 ? EXIT_SUCCESS : EXIT_FAILURE;
}

